Package org.apache.sysds.lops.compile.linearization

# Enum Class IDagLinearizerFactory.DagLinearizer

java.lang.Object
java.lang.Enum<IDagLinearizerFactory.DagLinearizer>
org.apache.sysds.lops.compile.linearization.IDagLinearizerFactory.DagLinearizer

All Implemented Interfaces:
  `Serializable`, `Comparable<IDagLinearizerFactory.DagLinearizer>`, `Constable`

Enclosing class:
  IDagLinearizerFactory

public static enum IDagLinearizerFactory.DagLinearizer extends Enum<IDagLinearizerFactory.DagLinearizer>

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`AUTO`
`BREADTH_FIRST`
`DEPTH_FIRST`
`MAX_PARALLELIZE`
`MIN_INTERMEDIATE`
`PIPELINE_DEPTH_FIRST`
`RESOURCE_AWARE_FAST`
`RESOURCE_AWARE_OPTIMAL`

## Method Summary

Modifier and Type
Method
Description
`static IDagLinearizerFactory.DagLinearizer`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static IDagLinearizerFactory.DagLinearizer[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### DEPTH_FIRST

public static final IDagLinearizerFactory.DagLinearizer DEPTH_FIRST

### BREADTH_FIRST

public static final IDagLinearizerFactory.DagLinearizer BREADTH_FIRST

### MIN_INTERMEDIATE

public static final IDagLinearizerFactory.DagLinearizer MIN_INTERMEDIATE

### MAX_PARALLELIZE

public static final IDagLinearizerFactory.DagLinearizer MAX_PARALLELIZE

### AUTO

public static final IDagLinearizerFactory.DagLinearizer AUTO

### PIPELINE_DEPTH_FIRST

public static final IDagLinearizerFactory.DagLinearizer PIPELINE_DEPTH_FIRST

### RESOURCE_AWARE_FAST

public static final IDagLinearizerFactory.DagLinearizer RESOURCE_AWARE_FAST

### RESOURCE_AWARE_OPTIMAL

public static final IDagLinearizerFactory.DagLinearizer RESOURCE_AWARE_OPTIMAL

## Method Details

### values

public static IDagLinearizerFactory.DagLinearizer[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static IDagLinearizerFactory.DagLinearizer valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null